FMTUTIL(1)

NAME
fmtutil - utility for maintaining TeX format files

fmtutil-sys - utility for maintaining TeX format files system-wide

SYNOPSIS
fmtutil [OPTION...] COMMAND

fmtutil-sys [OPTION...] COMMAND

DESCRIPTION
fmtutil is used to create or recreate format and hyphenation files or show information about format files.

COMMAND is one of:

--all
    recreate all format files

--byengine enginename
    (re)create formats that depend on the engine enginename

--byfmt formatname
    (re)create the format for format formatname

--byhyphen hyphenfile
    (re)create formats that depend on the hyphenation file hyphenfile

--catcfg
    output the content of the config file

--disablefmt formatname
    disable formatname in config file

--edit
    no-op in TeX Live

--enablefmt formatname
    ensable formatname in config file

--help
    print a summary of commands and options

--listcfg
    list (enabled and disabled) configurations, filtered to available formats

--missing
    create all missing format files

--refresh
    recreate only existing format files

--showhyphen formatname
    print the name of the hyphenation file for the format formatname

--version
    show version info

OPTIONS

--cnffile file
    specify the configuration file fmtutil should use

--dolinks
    (not implemented, just for compatibility)

--fmtdir directory
    set the destination directory for format files generated by fmtutil to directory

--force
    (not implemented, just for compatibility)

--no-engine-subdir
    don't use engine-specific subdir of the fmtdir

--no-error-if-no-format
    exit successfully if no format is selected

--quiet
    be silent

--test
    (not implemented, just for compatibility)

FILES

fmtutil.cnf
    default configuration file

SEE ALSO
kpsewhich(1)

BUGS
None known, but report any bugs found to <tex-k@tug.org> (mailing list).

AUTHOR
fmtutil was written by Thomas Esser <te@dbs.uni-hannover.de> and is in the public domain.

This manual page was written by C.M. Connelly <c@eskimo.com>, for the Debian GNU/Linux system and later slightly adapted for the teTeX 3 release.